## org.hibernate.testing.junit.functional.annotations
Class HibernateTestCase.RollbackWork

    java.lang.Object
      org.hibernate.testing.junit.functional.annotations.HibernateTestCase.RollbackWork

All Implemented Interfaces:
  Work

Enclosing class:
  HibernateTestCase

    public class HibernateTestCase.RollbackWork

extends Object
implements Work

Constructor Summary
`HibernateTestCase.RollbackWork()`

Method Summary
`void` `execute(Connection connection)` Execute the discrete work encapsulated by this work instance using the supplied connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateTestCase.RollbackWork

    public HibernateTestCase.RollbackWork()

Method Detail

### execute

    public void execute(Connection connection)
                 throws SQLException

  Description copied from interface: `Work`
  Execute the discrete work encapsulated by this work instance using the supplied connection.

  Specified by:
    `execute` in interface `Work`
  Parameters:
    `connection` - The connection on which to perform the work.
  Throws:
    `SQLException` - Thrown during execution of the underlying JDBC interaction.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.